aboutsummaryrefslogtreecommitdiffstats
path: root/etc/ci
diff options
context:
space:
mode:
authorMartin Robinson <mrobinson@igalia.com>2023-03-24 18:12:45 +0100
committerMartin Robinson <mrobinson@igalia.com>2023-03-24 18:33:07 +0100
commit95bfad3ac5070f28fa5fb0ba852c340167aeebea (patch)
tree103d4c5eeb20e0d417ca28c2a1af8f1e2bb0b4d0 /etc/ci
parentd8e886a792b0d3c90fca9f7d99209d3e373f73da (diff)
downloadservo-95bfad3ac5070f28fa5fb0ba852c340167aeebea.tar.gz
servo-95bfad3ac5070f28fa5fb0ba852c340167aeebea.zip
Add Layout 2020 support to nightly WPT update
Diffstat (limited to 'etc/ci')
-rw-r--r--[-rwxr-xr-x]etc/ci/wpt-nightly-update.sh26
1 files changed, 14 insertions, 12 deletions
diff --git a/etc/ci/wpt-nightly-update.sh b/etc/ci/wpt-nightly-update.sh
index 6a5d363b6dc..741feefe270 100755..100644
--- a/etc/ci/wpt-nightly-update.sh
+++ b/etc/ci/wpt-nightly-update.sh
@@ -8,22 +8,25 @@ set -o errexit
set -o nounset
set -o pipefail
-# Using an existing log file, update the expected test results and amend the
-# last commit with the new results.
-function unsafe_update_metadata() {
- ./mach update-wpt "${1}" || return 1
- # Hope that any test result changes from layout-2013 are
- # also applicable to layout-2020.
- ./mach update-wpt --layout-2020 "${1}" || return 2
+# For a given chunk, use the existing log files to update the expected test
+# results and amend the last commit with the new results.
+function unsafe_update_metadata_chunk() {
+ ./mach update-wpt \
+ "wpt-logs-linux/test-wpt.layout-2013.${1}.log" || return 1
+ ./mach update-wpt --layout-2020 \
+ "wpt-logs-linux/test-wpt.layout-2020.${1}.log" || return 2
+
# Ensure any new directories or ini files are included in these changes.
- git add tests/wpt/metadata tests/wpt/metadata-layout-2020 \
+ git add tests/wpt/metadata \
+ tests/wpt/metadata-layout-2020 \
tests/wpt/mozilla/meta || return 3
+
# Merge all changes with the existing commit.
git commit -a --amend --no-edit || return 3
}
-function update_metadata() {
- unsafe_update_metadata "${1}" || \
+function update_metadata_chunk() {
+ unsafe_update_metadata_chunk "${1}" || \
{ code="${?}"; cleanup; return "${code}"; }
}
@@ -31,8 +34,7 @@ function main() {
for n in $(seq 1 "${MAX_CHUNK_ID}")
do
code=""
- update_metadata "wpt-logs-linux/test-wpt.${n}.log" || \
- code="${?}"
+ update_metadata_chunk "${n}" || code="${?}"
if [[ "${code}" != "" ]]; then
return "${code}"
fi